%global packname  ALL
%global rlibdir %{_datadir}/R/library

Name:             R-%{packname}
Version:          1.4.11
Release:          1%{?dist}
Summary:          Data of T- and B-cell Acute Lymphocytic Leukemia

Group:            Applications/Engineering 
License:          Artistic 2.0 
URL:              http://www.bioconductor.org/packages/release/data/experiment/html/ALL.html
Source0:          http://www.bioconductor.org/packages/release/data/experiment/src/contrib/%{packname}_%{version}.tar.gz

BuildArch:        noarch
Requires:         R-core texinfo-tex
Requires:         R-Biobase >= 2.5.5 R-rpart
BuildRequires:    R-devel tex(latex) R-Biobase >= 2.5.5 R-rpart texinfo-tex

%description
Data of T- and B-cell Acute Lymphocytic Leukemia from the Ritz Laboratory
at the DFCI (includes Apr 2004 versions)

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc %{rlibdir}/ALL/DESCRIPTION
%doc %{rlibdir}/ALL/doc
%doc %{rlibdir}/ALL/html
%{rlibdir}/ALL/Meta
%{rlibdir}/ALL/NAMESPACE
%{rlibdir}/ALL/INDEX
%{rlibdir}/ALL/R
%{rlibdir}/ALL/help
%{rlibdir}/ALL/data

%changelog
* Fri Nov 11 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.4.11-1
- Update to 1.4.11
- Update the license to Artistic 2

* Sat Jan 29 2011 pingou <pingou@pingoured.fr> 1.4.7-1
- initial package for Fedora
